; ############  DIRECTOR AND EVENT CHANGES  ###########
; =====================================================
; ==          DIRECTOR & EVENT MODIFICATION          ==
; ==       Modify director behaviour and events      ==
; =====================================================


; ################  ITEM SPAWN CHANGES  ###############
; =====================================================
; ==           PILL / ITEM / WEAPON SPAWNS           ==
; ==   Remove or change pill, item & weapon spawns   ==
; =====================================================
filter:
; --- Remove useless pill spawns on the boat at the start of the map
{
	"hammerid" "1307721"
}
{
	"hammerid" "1327939"
}
; --- Fix parachutist not spawning in the same location for both teams and having different items
; --- Remove original entities and add our own in a fixed position
filter:
{
	"targetname" "case_parachute"
}
{
	"targetname" "template_parachute_1"
}
{
	"targetname" "template_parachute_2"
}
{
	"targetname" "parachute_1_items"
}
{
	"targetname" "parachute_2_items"
}
{
	"targetname" "parachute_1_remarkable"
}
{
	"targetname" "parachute_1_itemshelf"
}
{
	"targetname" "parachute_bag1"
}
{
	"targetname" "parachute_rope_2_bottom"
}
{
	"targetname" "parachute_rope_2_top"
}
{
	"targetname" "parachute_rope_1_bottom"
}
{
	"targetname" "parachute_rope_1_top"
}
{
	"targetname" "parachute_ragdoll_1"
}
{
	"targetname" "parachute_1_weapon"
}
{
	"targetname" "parachute_1"
}
{
	"targetname" "parachute_2_remarkable"
}
{
	"targetname" "parachute_2_itemshelf"
}
{
	"targetname" "parachute_2_weapon"
}
{
	"targetname" "parachute_2_rope_2_bottom"
}
{
	"targetname" "parachute_2_rope_2_top"
}
{
	"targetname" "parachute_2_rope_1_bottom"
}
{
	"targetname" "parachute_2_rope_1_top"
}
{
	"targetname" "parachute_2_lengthconstraint"
}
{
	"targetname" "parachute_2_ragdoll"
}
{
	"targetname" "parachute_bag2"
}
{
	"targetname" "parachute_2"
}
add:
{
	"classname" "prop_dynamic_override"
	"origin" "-6281.34 4315.57 327.043"
	"angles" "0 75 0"
	"model" "models/props_swamp/parachute01.mdl"
	"solid" "0"
	"disableshadows" "1"
	"targetname" "para_1"
}
{
	"classname" "prop_dynamic"
	"origin" "-6258 4318.11 148.08"
	"angles" "-24.5 270 0"
	"model" "models/props_swamp/parachute_bag01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-6261.63 4323.18 98"
	"angles" "0 45 0"
	"model" "models/DeadBodies/parachutist.mdl"
	"solid" "0"
	"disableshadows" "1"
	"targetname" "para_ragdoll_1"
}
{
	"classname" "weapon_spawn"
	"origin" "-6255 4327 140.733"
	"angles" "45 120 0"
	"weapon_selection" "tier1_any"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "18"
	"count" "5"
}
{
	"classname" "info_remarkable"
	"origin" "-6260.17 4323.86 88.44"
	"contextsubject" "c3m2_parachutist"
}
{
	"classname" "keyframe_rope"
	"origin" "-6257.3 4322.34 157.767"
	"targetname" "para_rope_2_bottom"
	"parentname" "para_ragdoll_1"
	"Width" "2"
	"TextureScale" "1"
	"Subdiv" "2"
	"Slack" "25"
	"RopeMaterial" "cable/cable.vmt"
	"MoveSpeed" "64"
}
{
	"classname" "move_rope"
	"origin" "-6164.34 4314.47 382.767"
	"targetname" "para_rope_2_top"
	"parentname" "para_1"
	"NextKey" "para_rope_2_bottom"
	"Width" "1"
	"TextureScale" "1"
	"Subdiv" "2"
	"Slack" "25"
	"RopeMaterial" "cable/cable.vmt"
	"PositionInterpolator" "2"
	"MoveSpeed" "64"
}

{
	"classname" "move_rope"
	"origin" "-6320.34 4223.47 312.767"
	"targetname" "para_rope_2_top"
	"parentname" "para_1"
	"NextKey" "para_rope_2_bottom"
	"Width" "1"
	"TextureScale" "1"
	"Subdiv" "2"
	"Slack" "25"
	"RopeMaterial" "cable/cable.vmt"
	"PositionInterpolator" "2"
	"MoveSpeed" "64"
}
{
	"classname" "move_rope"
	"origin" "-6248.34 4230.47 305.767"
	"targetname" "para_rope_2_top"
	"parentname" "para_1"
	"NextKey" "para_rope_2_bottom"
	"Width" "1"
	"TextureScale" "1"
	"Subdiv" "2"
	"spawnflags" "0"
	"Slack" "25"
	"RopeMaterial" "cable/cable.vmt"
	"PositionInterpolator" "2"
	"MoveSpeed" "64"
}
{
	"classname" "keyframe_rope"
	"origin" "-6262.95 4327.99 157.767"
	"targetname" "para_rope_1_bottom"
	"parentname" "para_ragdoll_1"
	"Width" "2"
	"TextureScale" "1"
	"Subdiv" "2"
	"Slack" "25"
	"RopeMaterial" "cable/cable.vmt"
	"MoveSpeed" "64"
}
{
	"classname" "move_rope"
	"origin" "-6398.34 4388.47 399.767"
	"targetname" "para_rope_1_top"
	"parentname" "para_1"
	"NextKey" "para_rope_1_bottom"
	"Width" "1"
	"TextureScale" "1"
	"Subdiv" "2"
	"Slack" "25"
	"RopeMaterial" "cable/cable.vmt"
	"PositionInterpolator" "2"
	"MoveSpeed" "64"
}
{
	"classname" "move_rope"
	"origin" "-6271.34 4427.47 339.767"
	"targetname" "para_rope_1_top"
	"parentname" "para_1"
	"NextKey" "para_rope_1_bottom"
	"Width" "1"
	"TextureScale" "1"
	"Subdiv" "2"
	"Slack" "25"
	"RopeMaterial" "cable/cable.vmt"
	"PositionInterpolator" "2"
	"MoveSpeed" "64"
}
{
	"classname" "move_rope"
	"origin" "-6382.34 4255.47 393.767"
	"targetname" "para_rope_1_top"
	"parentname" "para_1"
	"NextKey" "para_rope_1_bottom"
	"Width" "1"
	"TextureScale" "1"
	"Subdiv" "2"
	"Slack" "25"
	"RopeMaterial" "cable/cable.vmt"
	"PositionInterpolator" "2"
	"MoveSpeed" "64"
}
; --- Fix bucket pills, they now spawn naturally like any other set of pills
filter:
{
	"targetname" "case_bucket"
}
{
	"targetname" "looktrigger_bucket"
}
{
	"targetname" "template_bucket"
}
modify:
{
	match:
	{
		"targetname" "bucket_pills"
	}
	replace:
	{
		"spawnflags" "0"
	}
}
; --- Make weapon spawns on the docks before the event always have a shotgun and SMG
modify:
{
	match:
	{
		"hammerid" "1686159"
	}
	replace:
	{
		"weapon_selection" "tier1_shotgun"
	}
}
{
	match:
	{
		"hammerid" "1493074"
	}
	replace:
	{
		"weapon_selection" "any_smg"
	}
}
; --- Make the boat after the plane always have an SMG and shotgun
{
	match:
	{
		"hammerid" "1407096"
	}
	replace:
	{
		"weapon_selection" "tier1_shotgun"
	}
}
add:
{
	"classname" "weapon_spawn"
	"origin" "71 3087 13"
	"angles" "0 285 -90"
	"weapon_selection" "any_smg"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
; --- Make weapon spawns on the street by the end saferoom always have a shotgun and SMG
modify:
{
	match:
	{
		"hammerid" "1714017"
	}
	replace:
	{
		"weapon_selection" "tier1_shotgun"
	}
}
{
	match:
	{
		"hammerid" "1452892"
	}
	replace:
	{
		"weapon_selection" "any_smg"
	}
}

; =====================================================
; ==                STATIC AMMO PILES                ==
; ==          Add or modify ammo pile spawns         ==
; =====================================================
add:
; --- Ammo pile at the campsite after the plane event
{
	"classname" "weapon_ammo_spawn"
	"origin" "1874 2531 17"
	"angles" "0 0 6"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
; --- Remove redundant ammo pile spawns after the event in the same area
filter:
{
	"targetname" "post_minifinale_ammo"
}

; =====================================================
; ==                 HITTABLE CHANGES                ==
; ==           Add/remove/modify hittables           ==
; =====================================================
add:
; --- Add a hittable alarm car by the end saferoom
; --- Car models
{
	"classname" "prop_car_alarm"
	"origin" "8432.74 759.141 121.12"
	"angles" "0 243.5 0"
	"targetname" "caralarm_saferoom_car"
	"StartDisabled" "0"
	"spawnflags" "256"
	"rendercolor" "153 65 29"
	"fadescale" "0"
	"model" "models/props_vehicles/cara_95sedan.mdl"
	"OnCarAlarmStart" "caralarm_saferoom_alarmtimer,Enable,,0,-1"
	"OnCarAlarmEnd" "caralarm_saferoom_alarmtimer,Disable,,0,-1"
	"OnCarAlarmStart" "caralarm_saferoom_alarmsound,PlaySound,,0,-1"
	"OnCarAlarmEnd" "caralarm_saferoom_alarmsound,StopSound,,0,-1"
	"OnCarAlarmChirpStart" "caralarm_saferoom_chirp,PlaySound,,0.2,-1"
	"OnCarAlarmChirpEnd" "caralarm_saferoom_lightsprites,HideSprite,,0.7,-1"
	"OnCarAlarmChirpStart" "caralarm_saferoom_lightsprites,ShowSprite,,0.2,-1"
	"OnCarAlarmStart" "caralarm_saferoom_glass_on,Disable,,0,-1"
	"OnCarAlarmStart" "caralarm_saferoom_glass_off,Enable,,0,-1"
	"OnCarAlarmEnd" "caralarm_saferoom_alarm_off,Trigger,,0,-1"
	"OnCarAlarmEnd" "caralarm_saferoom_lightsprites,HideSprite,,0,-1"
	"OnCarAlarmEnd" "caralarm_saferoom_headlights,LightOff,,0,-1"
	"OnCarAlarmEnd" "caralarm_saferoom_game_event,Kill,,0,-1"
	"OnCarAlarmEnd" "caralarm_saferoom_remark,Kill,,0,-1"
}
{
	"classname" "prop_car_glass"
	"origin" "8432.74 759.141 121.12"
	"angles" "0 243.5 0"
	"model" "models/props_vehicles/cara_95sedan_glass_alarm.mdl"
	"StartDisabled" "0"
	"targetname" "caralarm_saferoom_glass_on"
	"parentname" "caralarm_saferoom_car"
}
{
	"classname" "prop_car_glass"
	"origin" "8432.74 759.141 121.12"
	"angles" "0 243.5 0"
	"model" "models/props_vehicles/cara_95sedan_glass.mdl"
	"StartDisabled" "1"
	"targetname" "caralarm_saferoom_glass_off"
	"parentname" "caralarm_saferoom_car"
}
; // map 2 plane hittable
{
	"classname" "prop_physics"
	"origin" "-3134 3340 82"
	"angles" "3 80 0"
	"model" "models/props_vehicles/cara_95sedan.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Car lights and sounds
{
	"classname" "ambient_generic"
	"origin" "8435.42 794.859 231.842"
	"volstart" "0"
	"spawnflags" "16"
	"radius" "4000"
	"preset" "0"
	"message" "Car.Alarm"
	"health" "10"
	"targetname" "caralarm_saferoom_alarmsound"
	"SourceEntityName" "caralarm_saferoom_car"
}
{
	"classname" "ambient_generic"
	"origin" "8456.9 784.145 231.842"
	"volstart" "0"
	"spawnflags" "48"
	"radius" "4000"
	"preset" "0"
	"message" "Car.Alarm.Chirp2"
	"health" "10"
	"targetname" "caralarm_saferoom_chirp"
	"SourceEntityName" "caralarm_saferoom_car"
}
{
	"classname" "beam_spotlight"
	"origin" "8415.54 656.077 150.743"
	"angles" "0 243.5 0"
	"spotlightwidth" "32"
	"spotlightlength" "256"
	"spawnflags" "2"
	"rendermode" "5"
	"rendercolor" "252 243 226"
	"renderamt" "150"
	"HDRColorScale" ".5"
	"targetname" "caralarm_saferoom_headlights"
	"parentname" "caralarm_saferoom_car"
}
{
	"classname" "beam_spotlight"
	"origin" "8363.62 681.96 150.729"
	"angles" "0 243.5 0"
	"spotlightwidth" "32"
	"spotlightlength" "256"
	"spawnflags" "2"
	"rendermode" "5"
	"rendercolor" "252 243 226"
	"renderamt" "150"
	"HDRColorScale" ".5"
	"targetname" "caralarm_saferoom_headlights"
	"parentname" "caralarm_saferoom_car"
}
{
	"classname" "env_sprite"
	"origin" "8426.26 655.182 150.05"
	"spawnflags" "0"
	"scale" ".5"
	"rendermode" "9"
	"renderfx" "0"
	"rendercolor" "224 162 44"
	"renderamt" "255"
	"model" "sprites/glow.vmt"
	"HDRColorScale" "0.7"
	"GlowProxySize" "5"
	"targetname" "caralarm_saferoom_lightsprites"
	"parentname" "caralarm_saferoom_car"
}
{
	"classname" "env_sprite"
	"origin" "8357.35 689.55 150.081"
	"spawnflags" "0"
	"scale" ".5"
	"rendermode" "9"
	"renderfx" "0"
	"rendercolor" "224 162 44"
	"renderamt" "255"
	"model" "sprites/glow.vmt"
	"HDRColorScale" "0.7"
	"GlowProxySize" "5"
	"targetname" "caralarm_saferoom_lightsprites"
	"parentname" "caralarm_saferoom_car"
}
{
	"classname" "env_sprite"
	"origin" "8455.91 865 152.121"
	"spawnflags" "0"
	"scale" ".5"
	"rendermode" "9"
	"renderfx" "0"
	"rendercolor" "255 13 19"
	"renderamt" "255"
	"model" "sprites/glow.vmt"
	"HDRColorScale" "0.7"
	"GlowProxySize" "5"
	"targetname" "caralarm_saferoom_lightsprites"
	"parentname" "caralarm_saferoom_car"
}
{
	"classname" "env_sprite"
	"origin" "8507 840.418 152.12"
	"spawnflags" "0"
	"scale" ".5"
	"rendermode" "9"
	"renderfx" "0"
	"rendercolor" "255 13 19"
	"renderamt" "255"
	"model" "sprites/glow.vmt"
	"HDRColorScale" "0.7"
	"GlowProxySize" "5"
	"targetname" "caralarm_saferoom_lightsprites"
	"parentname" "caralarm_saferoom_car"
}
; --- Logic Entities
{
	"classname" "logic_timer"
	"origin" "8393.98 740.749 235.753"
	"UseRandomTime" "0"
	"StartDisabled" "1"
	"spawnflags" "0"
	"RefireTime" ".75"
	"targetname" "caralarm_saferoom_alarmtimer"
	"OnTimer" "caralarm_saferoom_lightsprites,ShowSprite,,0,-1"
	"OnTimer" "caralarm_saferoom_lightsprites,HideSprite,,0.5,-1"
	"OnTimer" "caralarm_saferoom_lightsprites,HideSprite,,0.5,-1"
	"OnTimer" "caralarm_saferoom_lightsprites,ShowSprite,,0,-1"
	"OnTimer" "caralarm_saferoom_headlights,LightOff,,0.5,-1"
	"OnTimer" "caralarm_saferoom_headlights,LightOn,,0,-1"
}
{
	"classname" "logic_relay"
	"origin" "8380.21 734.213 275.753"
	"StartDisabled" "0"
	"spawnflags" "0"
	"targetname" "caralarm_saferoom_alarm_on"
	"OnTrigger" "caralarm_saferoom_car,Enable,,0,-1"
	"OnTrigger" "caralarm_saferoom_alarm_on,Disable,,0.02,-1"
	"OnTrigger" "caralarm_saferoom_glass_on,Enable,,0,-1"
	"OnTrigger" "caralarm_saferoom_glass_off,Disable,,0,-1"
}
{
	"classname" "logic_relay"
	"origin" "8394.48 762.844 275.753"
	"StartDisabled" "0"
	"spawnflags" "0"
	"targetname" "caralarm_saferoom_alarm_off"
	"OnTrigger" "caralarm_saferoom_game_event,Kill,,0,-1"
	"OnTrigger" "caralarm_saferoom_car,Disable,,0,-1"
	"OnTrigger" "caralarm_saferoom_alarm_on,Enable,,0.02,-1"
	"OnTrigger" "caralarm_saferoom_alarm_off,Disable,,0.02,-1"
	"OnTrigger" "caralarm_saferoom_remark,Kill,,0,-1"
	"OnTrigger" "caralarm_saferoom_glass_off,Enable,,0,-1"
	"OnTrigger" "caralarm_saferoom_glass_on,Disable,,0,-1"
	"OnTrigger" "caralarm_saferoom_headlights,LightOff,,0,-1"
	"OnTrigger" "caralarm_saferoom_lightsprites,HideSprite,,0,-1"
}
; --- Survivor Dialogue
{
	"classname" "info_remarkable"
	"origin" "8401.65 741.39 211.75"
	"contextsubject" "remark_caralarm"
	"targetname" "caralarm_saferoom_remark"
}
{
	"classname" "info_game_event_proxy"
	"origin" "8392.49 755.673 205.786"
	"spawnflags" "1"
	"range" "100"
	"event_name" "explain_disturbance"
	"targetname" "caralarm_saferoom_game_event"
}


; #############  MAP CLIPPING AND ISSUES  #############
; =====================================================
; ==                 EXPLOITS BLOCKED                ==
; ==      Block intentionally performed exploits     ==
; =====================================================
add:
; --- Block survivors from standing on the broken shack before the plane
{
	"classname" "env_physics_blocker"
	"origin" "-5055 4353 412"
	"mins" "-192 -130 -228"
	"maxs" "192 130 228"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from jumping on a shrub from the broken shack walls after the plane
{
	"classname" "env_physics_blocker"
	"origin" "-392 3390 396"
	"mins" "-55 -36 -244"
	"maxs" "55 36 244"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from climbing on the broken shack after the plane
{
	"classname" "env_physics_blocker"
	"origin" "4161 2233 391"
	"mins" "-66 -4 -249"
	"maxs" "66 4 249"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "4098 2105 391"
	"mins" "-8 -124 -249"
	"maxs" "8 124 249"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "4294 1985 391"
	"mins" "-189 -4 -249"
	"maxs" "189 4 249"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "4477 2075 391"
	"mins" "-6 -14 -249"
	"maxs" "6 14 249"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "4477 2005 391"
	"mins" "-6 -16 -249"
	"maxs" "6 16 249"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "4481 1943 391"
	"mins" "-4 -38 -249"
	"maxs" "4 38 249"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "4481 1943 391"
	"mins" "-4 -38 -249"
	"maxs" "4 38 249"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "4481 1772 391"
	"mins" "-5 -15 -249"
	"maxs" "5 15 249"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "4481 1704 391"
	"mins" "-5 -16 -249"
	"maxs" "5 16 249"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "4419 1683 391"
	"mins" "-66 -5 -249"
	"maxs" "66 5 249"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "4196 1684 391"
	"mins" "-60 -4 -249"
	"maxs" "60 4 249"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "4131 1745 391"
	"mins" "-5 -65 -249"
	"maxs" "5 65 249"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from climbing on the generator pole at the end of the map
{
	"classname" "env_physics_blocker"
	"origin" "7997 2802 264"
	"mins" "-7 -5 -143"
	"maxs" "7 5 143"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                  OUT OF BOUNDS                  ==
; ==  Block players getting outside / under the map  ==
; =====================================================
add:
; --- Prevent survivors from getting incapped in unreachable locations by the saferoom
{
	"classname" "env_physics_blocker"
	"origin" "-7838 7214 288"
	"mins" "-254 -18 -352"
	"maxs" "254 18 352"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-8576 7214 288"
	"mins" "-320 -18 -352"
	"maxs" "320 18 352"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-8864 7065 396"
	"mins" "-31 -127 -244"
	"maxs" "31 127 244"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                   STUCK SPOTS                   ==
; ==  Prevent players from getting stuck in the map  ==
; =====================================================
add:
; --- Block a perma-stuck spot on tree stumps in the water by the docks
{
	"classname" "env_physics_blocker"
	"origin" "-4399 3189 16"
	"mins" "-4 -17 -33"
	"maxs" "4 17 33"
	"initialstate" "1"
	"BlockType" "0"
}

; =====================================================
; ==                 NUISANCE CHANGES                ==
; ==      Clipping improvements, QOL map changes     ==
; =====================================================
add:
; --- Additional trees to show where invisible walls are between some trees
; --- Left of docks near start - 2 sets
{
	"classname" "prop_dynamic"
	"origin" "-4756 4831 -3"
	"angles" "0 99 0"
	"model" "models/props_foliage/swamp_trees_small01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-4803 4867 -3"
	"angles" "0 219 0"
	"model" "models/props_foliage/swamp_trees_small01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-4847 4848 -3"
	"angles" "0 234 0"
	"model" "models/props_foliage/swamp_trees_small01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5345 5438 -3"
	"angles" "0 309 0"
	"model" "models/props_foliage/swamp_trees_small01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5304 5401 -3"
	"angles" "0 354 0"
	"model" "models/props_foliage/swamp_trees_small01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5242 5337 -3"
	"angles" "0 39 0"
	"model" "models/props_foliage/swamp_trees_small01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Right of docks near start - 2 sets
{
	"classname" "prop_dynamic"
	"origin" "-6318 3530 -3"
	"angles" "0 318 0"
	"model" "models/props_foliage/swamp_trees_small01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-6356 3536 -3"
	"angles" "0 213 0"
	"model" "models/props_foliage/swamp_trees_small01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-6400 3576 -3"
	"angles" "0 258 0"
	"model" "models/props_foliage/swamp_trees_small01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-6056 3418 -3"
	"angles" "0 242.5 0"
	"model" "models/props_foliage/swamp_trees_small01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-6071 3416 -3"
	"angles" "0 107.5 0"
	"model" "models/props_foliage/swamp_trees_small01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5972 3439 -3"
	"angles" "0 69 0"
	"model" "models/props_foliage/swamp_trees_small01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Water by docks
{
	"classname" "prop_dynamic"
	"origin" "-4425 3531 0"
	"angles" "0 66 0"
	"model" "models/props_foliage/swamp_trees_small01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-4365 3488 0"
	"angles" "0 36 0"
	"model" "models/props_foliage/swamp_trees_small01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-4437 3513 -13"
	"angles" "0 15 0"
	"model" "models/props_foliage/urban_tree_base_bushes01_large.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- By the sunken house near the end of the map
{
	"classname" "prop_dynamic"
	"origin" "6536 1082 -17"
	"angles" "0 36 0"
	"model" "models/props_foliage/swamp_trees_small01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "6626 1033 -17"
	"angles" "0 246 0"
	"model" "models/props_foliage/swamp_trees_small01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "6605 1046 -17"
	"angles" "0 201 0"
	"model" "models/props_foliage/swamp_trees_small01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Block LOS under floating trees
{
	"classname" "logic_auto"
	; --- Large trees
	"OnMapSpawn" "losfix_swamptree_large_a,AddOutput,mins -48 -1 -18,0,-1"
	"OnMapSpawn" "losfix_swamptree_large_a,AddOutput,maxs 48 1 18,0,-1"
	"OnMapSpawn" "losfix_swamptree_large_a,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "losfix_swamptree_large_b,AddOutput,mins -1 -48 -18,0,-1"
	"OnMapSpawn" "losfix_swamptree_large_b,AddOutput,maxs 1 48 18,0,-1"
	"OnMapSpawn" "losfix_swamptree_large_b,AddOutput,solid 2,0,-1"
	; --- Medium trees
	"OnMapSpawn" "losfix_swamptree_medium_a,AddOutput,mins -28 -1 -18,0,-1"
	"OnMapSpawn" "losfix_swamptree_medium_a,AddOutput,maxs 28 1 18,0,-1"
	"OnMapSpawn" "losfix_swamptree_medium_a,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "losfix_swamptree_medium_b,AddOutput,mins -1 -28 -18,0,-1"
	"OnMapSpawn" "losfix_swamptree_medium_b,AddOutput,maxs 1 28 18,0,-1"
	"OnMapSpawn" "losfix_swamptree_medium_b,AddOutput,solid 2,0,-1"
	; --- Small trees
	"OnMapSpawn" "losfix_swamptree_small_a,AddOutput,mins -23 -1 -18,0,-1"
	"OnMapSpawn" "losfix_swamptree_small_a,AddOutput,maxs 23 1 18,0,-1"
	"OnMapSpawn" "losfix_swamptree_small_a,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "losfix_swamptree_small_b,AddOutput,mins -1 -23 -18,0,-1"
	"OnMapSpawn" "losfix_swamptree_small_b,AddOutput,maxs 1 23 18,0,-1"
	"OnMapSpawn" "losfix_swamptree_small_b,AddOutput,solid 2,0,-1"
	; --- Very small trees
	"OnMapSpawn" "losfix_swamptree_vsmall_a,AddOutput,mins -19 -1 -18,0,-1"
	"OnMapSpawn" "losfix_swamptree_vsmall_a,AddOutput,maxs 19 1 18,0,-1"
	"OnMapSpawn" "losfix_swamptree_vsmall_a,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "losfix_swamptree_vsmall_b,AddOutput,mins -1 -19 -18,0,-1"
	"OnMapSpawn" "losfix_swamptree_vsmall_b,AddOutput,maxs 1 19 18,0,-1"
	"OnMapSpawn" "losfix_swamptree_vsmall_b,AddOutput,solid 2,0,-1"
}
; --- Outside the start saferoom
;{
;	"classname" "func_brush"
;	"origin" "-7871 4741 -21"
;	"targetname" "losfix_swamptree_large_a"
;}
;{
;	"classname" "func_brush"
;	"origin" "-7871 4741 -21"
;	"targetname" "losfix_swamptree_large_b"
;}
{
	"classname" "func_brush"
	"origin" "-8084 5106 -25"
	"targetname" "losfix_swamptree_small_a"
}
{
	"classname" "func_brush"
	"origin" "-8084 5106 -25"
	"targetname" "losfix_swamptree_small_b"
}
{
	"classname" "func_brush"
	"origin" "-7968 5775 -25"
	"targetname" "losfix_swamptree_vsmall_a"
}
{
	"classname" "func_brush"
	"origin" "-7968 5775 -25"
	"targetname" "losfix_swamptree_vsmall_b"
}
; --- By the docks
{
	"classname" "func_brush"
	"origin" "-6987 4643 -21"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-6987 4643 -21"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-6631 5436 -18"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-6631 5436 -18"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-6257 5323 -19"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-6257 5323 -19"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-5846 5770 -20"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-5846 5770 -20"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-5456 5570 -18"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-5456 5570 -18"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-5504 4769 -18"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-5504 4769 -18"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-5989 4696 -16"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-5989 4696 -16"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-6682 4154 -19"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-6682 4154 -19"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-6460 4016 -16"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-6460 4016 -16"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-6525 3883 -19"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-6525 3883 -19"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-6464 3626 -18"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-6464 3626 -18"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-6227 3503 -22"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-6227 3503 -22"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-5951 3231 -17"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-5951 3231 -17"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-5870 3453 -18"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-5870 3453 -18"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-5712 3437 -18"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-5712 3437 -18"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-5217 3437 -18"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-5217 3437 -18"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-4607 4573 -18"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-4607 4573 -18"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-4797 4529 -17"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-4797 4529 -17"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-4910 4776 -18"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-4910 4776 -18"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-4918 4945 -19"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-4918 4945 -19"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-6545 4840 -19"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "-6545 4840 -19"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "-6644 4622 -22"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "-6644 4622 -22"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "-6075 4556 -16"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "-6075 4556 -16"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "-6584 4001 -19"
	"targetname" "losfix_swamptree_small_a"
}
{
	"classname" "func_brush"
	"origin" "-6584 4001 -19"
	"targetname" "losfix_swamptree_small_b"
}
{
	"classname" "func_brush"
	"origin" "-6146 3414 -23"
	"targetname" "losfix_swamptree_small_a"
}
{
	"classname" "func_brush"
	"origin" "-6146 3414 -23"
	"targetname" "losfix_swamptree_small_b"
}
{
	"classname" "func_brush"
	"origin" "-5346 3321 -18"
	"targetname" "losfix_swamptree_small_a"
}
{
	"classname" "func_brush"
	"origin" "-5346 3321 -18"
	"targetname" "losfix_swamptree_small_b"
}
; --- Before the plane
{
	"classname" "func_brush"
	"origin" "-3284 3621 -20"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-3284 3621 -20"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-3573 3245 -20"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-3573 3245 -20"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-3265 2816 -20"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-3265 2816 -20"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "-3458 2658 -20"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-3458 2658 -20"
	"targetname" "losfix_swamptree_large_b"
}
; --- After the plane
{
	"classname" "func_brush"
	"origin" "-109 3296 -20"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "-109 3296 -20"
	"targetname" "losfix_swamptree_large_b"
}
{
	"classname" "func_brush"
	"origin" "3775 3710 -16"
	"targetname" "losfix_swamptree_large_a"
}
{
	"classname" "func_brush"
	"origin" "3775 3710 -16"
	"targetname" "losfix_swamptree_large_b"
}
; --- By the sunken house
{
	"classname" "func_brush"
	"origin" "4928 1917 -32"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "4928 1917 -32"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "5057 2272 -31"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "5057 2272 -31"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "5283 2274 -32"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "5283 2274 -32"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "5732 2226 -32"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "5732 2226 -32"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "6337 2241 -32"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "6337 2241 -32"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "6578 2353 -32"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "6578 2353 -32"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "5171 1122 -33"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "5171 1122 -33"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "5697 1283 -32"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "5697 1283 -32"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "6403 1089 -32"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "6403 1089 -32"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "6465 1119 -32"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "6465 1119 -32"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "6848 831 -32"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "6848 831 -32"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "6587 1378 -32"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "6587 1378 -32"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "6849 1219 -32"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "6849 1219 -32"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "6878 1836 -32"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "6878 1836 -32"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "6805 2130 -32"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "6805 2130 -32"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "6878 2393 -32"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "6878 2393 -32"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "7190 2477 -32"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "7190 2477 -32"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "7426 2144 -32"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "7426 2144 -32"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "5659 2286 -25"
	"targetname" "losfix_swamptree_small_a"
}
{
	"classname" "func_brush"
	"origin" "5659 2286 -25"
	"targetname" "losfix_swamptree_small_b"
}
{
	"classname" "func_brush"
	"origin" "5866 1166 -32"
	"targetname" "losfix_swamptree_small_a"
}
{
	"classname" "func_brush"
	"origin" "5866 1166 -32"
	"targetname" "losfix_swamptree_small_b"
}
{
	"classname" "func_brush"
	"origin" "6618 1325 -32"
	"targetname" "losfix_swamptree_small_a"
}
{
	"classname" "func_brush"
	"origin" "6618 1325 -32"
	"targetname" "losfix_swamptree_small_b"
}
{
	"classname" "func_brush"
	"origin" "7093 2394 -41"
	"targetname" "losfix_swamptree_small_a"
}
{
	"classname" "func_brush"
	"origin" "7093 2394 -41"
	"targetname" "losfix_swamptree_small_b"
}
{
	"classname" "func_brush"
	"origin" "7250 2087 -41"
	"targetname" "losfix_swamptree_small_a"
}
{
	"classname" "func_brush"
	"origin" "7250 2087 -41"
	"targetname" "losfix_swamptree_small_b"
}
; --- By the end saferoom
{
	"classname" "func_brush"
	"origin" "7774 1452 -32"
	"targetname" "losfix_swamptree_medium_a"
}
{
	"classname" "func_brush"
	"origin" "7774 1452 -32"
	"targetname" "losfix_swamptree_medium_b"
}
{
	"classname" "func_brush"
	"origin" "7776 1322 -41"
	"targetname" "losfix_swamptree_small_a"
}
{
	"classname" "func_brush"
	"origin" "7776 1322 -41"
	"targetname" "losfix_swamptree_small_b"
}


; ###########  ADDITIONAL PROPS AND SPAWNS  ###########
; =====================================================
; ==                      PROPS                      ==
; ==       New props for balance and SI spawns       ==
; =====================================================
add:
; --- Trees along the back right area before the docks
{
	"classname" "prop_dynamic"
	"origin" "-6329 3198 6"
	"angles" "0 0 0"
	"model" "models/props_foliage/swamp_cypress_medium_grnd01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5319 3075 13"
	"angles" "0 135 0"
	"model" "models/props_foliage/swamp_cypress_medium_grnd01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Tree by the rock before the docks
{
	"classname" "prop_dynamic"
	"origin" "-5712 4129 -10"
	"angles" "0 240 0"
	"model" "models/props_foliage/swamp_cypress_medium01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Make one of the breakable wall on broken house by the docks less broken and slightly lower down to help with spawning
modify:
{
	match:
	{
		"hammerid" "1608379"
	}
	replace:
	{
		"origin" "-5132 4223 51.2246"
		"model" "models/props_doors/shackwall01_dmg03.mdl"
	}
}
; --- Additional breakable walls on the broken house by the docks
add:
{
	"classname" "prop_wall_breakable"
	"origin" "-5249 4262 47"
	"angles" "1 0 0"
	"model" "models/props_doors/shackwall01_dmg02.mdl"
	"disableshadows" "1"
	"spawnflags" "0"
}
{
	"classname" "prop_wall_breakable"
	"origin" "-5156 4480 47"
	"angles" "0 270 0"
	"model" "models/props_doors/shackwall01_dmg03.mdl"
	"disableshadows" "1"
	"spawnflags" "0"
}
; --- Tree in water by the docks
{
	"classname" "prop_dynamic"
	"origin" "-4427 3770 -28"
	"angles" "0 225 0"
	"model" "models/props_foliage/swamp_cypress_large01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Rocks in water by the docks
{
	"classname" "prop_dynamic"
	"origin" "-4697 3390 -42"
	"angles" "-0.407652 315.945 3.17513"
	"model" "models/props_foliage/swamp_rock02.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Shrub wall after the docks
{
	"classname" "prop_dynamic"
	"origin" "-3998 3957 -1"
	"angles" "0 133 0"
	"model" "models/props_foliage/swamp_shrubwall_block_512_deep.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Tree and shrub before the plane
{
	"classname" "prop_dynamic"
	"origin" "-3189 4584 1"
	"angles" "0 0 0"
	"model" "models/props_foliage/swamp_cypress_medium_grnd01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-2961 4412 8"
	"angles" "0 45 0"
	"model" "models/props_foliage/swamp_shrubwall_block_256_deep.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Trailer in the back right holdout area by the plane
{
	"classname" "prop_dynamic"
	"origin" "-3359 2284 -17"
	"angles" "0 80 0"
	"model" "models/props_trailers/trailer_small01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Block survivors from standing on the trailer
{
	"classname" "env_physics_blocker"
	"origin" "-3430 2254 392"
	"angles" "0 -10 0"
	"mins" "-146 -55 -248"
	"maxs" "146 55 248"
	"boxmins" "-146 -55 -248"
	"boxmaxs" "146 55 248"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Fix LOS under trailer
{
	"classname" "logic_auto"
	"OnMapSpawn" "losfix_plane_trailer,AddOutput,mins -137 -3 -13,0,-1"
	"OnMapSpawn" "losfix_plane_trailer,AddOutput,maxs 137 3 13,0,-1"
	"OnMapSpawn" "losfix_plane_trailer,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "-3429 2257 -7"
	"targetname" "losfix_plane_trailer"
}
; --- Rocks in the back right holdout area by the plane
{
	"classname" "prop_dynamic"
	"origin" "-2316 2234 -31"
	"angles" "0 120 0"
	"model" "models/props_foliage/swamp_rock01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Tree in the right side water section after the plane
{
	"classname" "prop_dynamic"
	"origin" "-709 2079 -42"
	"angles" "0 356 0"
	"model" "models/props_foliage/swamp_cypress_broken01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Shrubs in the right side water section after the plane
{
	"classname" "prop_dynamic"
	"origin" "-323 1817 -29"
	"angles" "0 192 0"
	"model" "models/props_foliage/swamp_shrubwall_block_256_deep.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-237 2117 -29"
	"angles" "0 98 0"
	"model" "models/props_foliage/swamp_shrubwall_block_256_deep.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Tree in the left side water section next to plane
{
	"classname" "prop_dynamic"
	"origin" "-1408 3760 -64"
	"angles" "-1.41407 322.017 88.5855"
	"model" "models/props_foliage/swamp_fallentree_dry01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Shrub and tree in the left side water section after the plane
{
	"classname" "prop_dynamic"
	"origin" "-359 4072 -21"
	"angles" "0 200 0"
	"model" "models/props_foliage/swamp_shrubwall_block_512_deep.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-341 3855 -18"
	"angles" "0 300 0"
	"model" "models/props_foliage/swamp_cypress_medium01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Trees by the docks after the plane
{
	"classname" "prop_dynamic"
	"origin" "210 3746 -20"
	"angles" "0 335 0"
	"model" "models/props_foliage/swamp_cypress_large01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "854 3399 15"
	"angles" "0 120 0"
	"model" "models/props_foliage/swamp_cypress_medium_grnd01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "1231 3190 50"
	"angles" "0 220 0"
	"model" "models/props_foliage/swamp_cypress_medium_grnd01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Shrubs by docks after the plane
{
	"classname" "prop_dynamic"
	"origin" "249 2594 -21"
	"angles" "0 309 0"
	"model" "models/props_foliage/swamp_shrubwall_block_512_deep.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "897 3639 24"
	"angles" "0.173377 300.894 6.51558"
	"model" "models/props_foliage/swamp_shrubwall_block_256_deep.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Tent by the campsite after the plane
{
	"classname" "prop_dynamic"
	"origin" "1785 2150 77"
	"angles" "5.07053 60.4507 -2.17461"
	"model" "models/lighthouse/props/camp_tent.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "226 223 220"
}
{
	"classname" "prop_dynamic"
	"origin" "1785 2150 77"
	"angles" "5.07053 60.4507 -2.17461"
	"model" "models/lighthouse/props/camp_tent_b.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "1772 2162 35"
	"angles" "2.0642 149.421 6.74834"
	"model" "models/props_equipment/sleeping_bag2.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Shrubs on the right side of the campsite
{
	"classname" "prop_dynamic"
	"origin" "1534 1738 29"
	"angles" "-0.674834 102.976 -3.74733"
	"model" "models/props_foliage/swamp_shrubwall_block_512_deep.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "2440 1643 35u"
	"angles" "0 23 0"
	"model" "models/props_foliage/swamp_shrubwall_block_256_deep.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Trees on the right side of the campsite
{
	"classname" "prop_dynamic"
	"origin" "1305 1950 23"
	"angles" "0 75 0"
	"model" "models/props_foliage/swamp_cypress_medium_grnd01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "2007 1721 57"
	"angles" "0 165 0"
	"model" "models/props_foliage/swamp_cypress_medium_grnd01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Shrub on the left side of the campsite
{
	"classname" "prop_dynamic"
	"origin" "2382 2682 18"
	"angles" "0 70 0"
	"model" "models/props_foliage/swamp_shrubwall_block_128_deep.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Tree on the left side after the campsite
{
	"classname" "prop_dynamic"
	"origin" "3142 3215 59"
	"angles" "0 150 0"
	"model" "models/props_foliage/swamp_cypress_medium_grnd01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Rocks and tree by hittable log after the campsite
{
	"classname" "prop_dynamic"
	"origin" "3475 1906 -24"
	"angles" "0 122 0"
	"model" "models/props_foliage/swamp_rock01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "3695 1662 -4"
	"angles" "0 0 0"
	"model" "models/props_foliage/swamp_cypress_medium_grnd01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Bushes for visual cover at the hedges after the ledge near the campsite
{
	"classname" "prop_dynamic"
	"origin" "4095 2583 8"
	"angles" "0 111 0"
	"model" "models/props_foliage/urban_tree_base_bushes01_large.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "4074 2601 0"
	"angles" "0 216 0"
	"model" "models/props_foliage/swamp_trees_small01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "4048 2761 -2"
	"angles" "0 291 0"
	"model" "models/props_foliage/swamp_trees_small01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Tree and rock cluster in the water before the sunken house
{
	"classname" "prop_dynamic"
	"origin" "4683 2622 -57"
	"angles" "0 90 0"
	"model" "models/props_foliage/swamp_cluster_water.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Prevent a stuck spot between the rocks
{
	"classname" "env_physics_blocker"
	"origin" "4606 2603 -6"
	"mins" "-19 -15 -32"
	"maxs" "19 15 32"
	"initialstate" "1"
	"BlockType" "0"
}
; --- CEDA trailer on the street by the end saferoom
{
	"classname" "prop_dynamic"
	"origin" "8252 1894 118"
	"angles" "0 266 0"
	"model" "models/props_vehicles/ceda_trailer_closed.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Fix LOS under CEDA trailer
{
	"classname" "logic_auto"
	"OnMapSpawn" "losfix_ceda_trailer,AddOutput,mins -3 -218 -10,0,-1"
	"OnMapSpawn" "losfix_ceda_trailer,AddOutput,maxs 3 218 10,0,-1"
	"OnMapSpawn" "losfix_ceda_trailer,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "8260 1989 123"
	"targetname" "losfix_ceda_trailer"
}
; --- Infected ladder to climb on CEDA trailer
{
	"classname" "func_simpleladder"
	"origin" "5105 8.45 -35.35"
	"angles" "-4 270 6"
	"model" "*27"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "5121.70 9 -194.8"
	"angles" "-4 270 6"
	"model" "*27"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Shrub by generator on the street by the end saferoom
{
	"classname" "prop_dynamic"
	"origin" "8233 2526 111"
	"angles" "0 200 0"
	"model" "models/props_foliage/swamp_shrubwall_block_256_deep.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping above shrub
{
	"classname" "env_physics_blocker"
	"origin" "8181 2597 451"
	"mins" "-29 -35 -189"
	"maxs" "29 35 189"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Shrubs over fence on the street by the end saferoom
{
	"classname" "prop_dynamic"
	"origin" "8479 1800 75"
	"angles" "0 352 0"
	"model" "models/props_foliage/swamp_shrubwall_block_128_deep.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "8539 1525 64"
	"angles" "0 14 0"
	"model" "models/props_foliage/swamp_shrubwall_block_512_deep.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping above shrubs
{
	"classname" "env_physics_blocker"
	"origin" "8479 1805 432"
	"mins" "-62 -72 -208"
	"maxs" "62 72 208"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "8579 1317 439"
	"mins" "-56 -37 -201"
	"maxs" "56 37 201"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Trees in the water at the street by the end saferoom
{
	"classname" "prop_dynamic"
	"origin" "8770 2262 -37"
	"angles" "0 0 0"
	"model" "models/props_foliage/swamp_cypress_medium01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "7794 459 -33"
	"angles" "0 0 0"
	"model" "models/props_foliage/swamp_cypress_large01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- SUV behind the barricade by the end saferoom
{
	"classname" "prop_dynamic"
	"origin" "7918 -258 121"
	"angles" "0 345 0"
	"model" "models/props_vehicles/suv_2001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "27 46 82"
}
{
	"classname" "prop_dynamic"
	"origin" "7918 -258 121"
	"angles" "0 345 0"
	"model" "models/props_vehicles/suv_2001_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping to help make it over the fence
{
	"classname" "env_physics_blocker"
	"origin" "7799 -226 165"
	"angles" "0 345 0"
	"mins" "-17 -38 -45"
	"maxs" "17 38 45"
	"boxmins" "-17 -38 -45"
	"boxmaxs" "17 38 45"
	"initialstate" "1"
	"BlockType" "2"
}
; --- Log ramps behind the barricade by the end saferoom
{
	"classname" "prop_dynamic"
	"origin" "8330 169 160"
	"angles" "0 0 40"
	"model" "models/props_foliage/swamp_fallentree01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "8379 148 184"
	"angles" "0 180 140"
	"model" "models/props_foliage/swamp_fallentree01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping to help walk onto the logs
{
	"classname" "env_physics_blocker"
	"origin" "8355 85 125"
	"mins" "-44 -15 -8"
	"maxs" "44 15 8"
	"initialstate" "1"
	"BlockType" "2"
}
; --- Stack of crates behind the barricade by the end saferoom
{
	"classname" "prop_dynamic"
	"origin" "8726 155 113"
	"angles" "0 80 0"
	"model" "models/props_crates/static_crate_40.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "8765 188 113"
	"angles" "0 80 0"
	"model" "models/props_crates/static_crate_40.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "8724 194 113"
	"angles" "0 80 0"
	"model" "models/props_crates/static_crate_40.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "8733 192 152"
	"angles" "0 80 0"
	"model" "models/props_crates/static_crate_40.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping to help get over the barbed wire
{
	"classname" "env_physics_blocker"
	"origin" "8736 211 197"
	"mins" "-19 -5 -6"
	"maxs" "19 5 6"
	"initialstate" "1"
	"BlockType" "2"
}
; --- Trailer and pickup truck by the end saferoom
{
	"classname" "prop_dynamic"
	"origin" "7399 -345 120"
	"angles" "0 13 -2.5"
	"model" "models/props_trailers/trailer_small01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "7459 -552 125"
	"angles" "0 311 0"
	"model" "models/props_vehicles/pickup_truck_78.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "7459 -552 125"
	"angles" "0 311 0"
	"model" "models/props_vehicles/pickup_truck_78_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Block trailer for surivivors
{
	"classname" "env_physics_blocker"
	"origin" "7341 -279 464"
	"angles" "0 13 0"
	"mins" "-54 -144 -176"
	"maxs" "54 144 176"
	"boxmins" "-54 -144 -176"
	"boxmaxs" "54 144 176"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Fix LOS under trailer / car
{
	"classname" "logic_auto"
	"OnMapSpawn" "losfix_end_trailer,AddOutput,mins -3 -134 -14,0,-1"
	"OnMapSpawn" "losfix_end_trailer,AddOutput,maxs 3 134 14,0,-1"
	"OnMapSpawn" "losfix_end_trailer,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "losfix_end_pickup_a,AddOutput,mins -3 -52 -14,0,-1"
	"OnMapSpawn" "losfix_end_pickup_a,AddOutput,maxs 3 52 14,0,-1"
	"OnMapSpawn" "losfix_end_pickup_a,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "losfix_end_pickup_b,AddOutput,mins -52 -3 -14,0,-1"
	"OnMapSpawn" "losfix_end_pickup_b,AddOutput,maxs 52 3 14,0,-1"
	"OnMapSpawn" "losfix_end_pickup_b,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "7352 -288 126"
	"targetname" "losfix_end_trailer"
}
{
	"classname" "func_brush"
	"origin" "7415 -505 126"
	"targetname" "losfix_end_pickup_a"
}
{
	"classname" "func_brush"
	"origin" "7499 -597 126"
	"targetname" "losfix_end_pickup_a"
}
{
	"classname" "func_brush"
	"origin" "7464 -560 126"
	"targetname" "losfix_end_pickup_b"
}

; =====================================================
; ==             LADDER / ELEVATOR NERF              ==
; ==   Nerf ladder & elevator attacks for infected   ==
; =====================================================


; ############  MAP SOUND AND GFX CHANGES  ############
; =====================================================
; ==                  SOUND REMOVAL                  ==
; ==    Remove or adjust sounds played by the map    ==
; =====================================================

; =====================================================
; ==             GFX / PARTICLES REMOVAL             ==
; ==        Remove visual effects from the map       ==
; =====================================================


; ###############  TRIGGERS AND BRUSHES  ##############
; =====================================================
; ==                   CLIP REMOVAL                  ==
; ==      Remove miscellaneous clips and brushes     ==
; =====================================================

; =====================================================
; ==              TRIGGER REMOVAL / FIX              ==
; ==    Fix triggers that interfere with gameplay    ==
; =====================================================


; #############  LADDER CHANGES AND FIXES  ############
; =====================================================
; ==             LADDER ADDITIONS / FIXES            ==
; ==              Add or change ladders              ==
; =====================================================
add:
; --- Infected ladder to get on shrub by the back right plane holdout area
{
	"classname" "func_simpleladder"
	"origin" "-6836.11 1432.41 -309.76"
	"angles" "8 260 0"
	"model" "*27"
	"normal.x" "0.16"
	"normal.y" "0.96"
	"normal.z" "0.21"
	"team" "2"
}
; --- Clipping to help with getting on the ladder
{
	"classname" "env_physics_blocker"
	"origin" "-3267 2878 -4"
	"mins" "-43 -16 -8"
	"maxs" "43 16 8"
	"initialstate" "1"
	"BlockType" "2"
}
; --- Infected ladder to climb onto the porch by the campsite
{
	"classname" "func_simpleladder"
	"origin" "5024.13 4778.5 73.65"
	"angles" "0 90 0"
	"model" "*18"
	"normal.x" "0.99"
	"normal.y" "-0.08"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get on the broken house after the campsite
{
	"classname" "func_simpleladder"
	"origin" "2047 5366 -19"
	"angles" "0 180 0"
	"model" "*27"
	"normal.x" "0.99"
	"normal.y" "0.0"
	"normal.z" "0.07"
	"team" "2"
}
; --- Clipping at the top of ladder
{
	"classname" "env_physics_blocker"
	"origin" "4099 2117 149"
	"mins" "-3 -29 -8"
	"maxs" "3 29 8"
	"initialstate" "1"
	"BlockType" "2"
}
; --- Infected ladder to get on the end saferoom roof
{
	"classname" "func_simpleladder"
	"origin" "4415 -2813.67 234.93"
	"angles" "-4 270 0"
	"model" "*27"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "7693 -761 265"
	"angles" "0 90 0"
	"model" "models/props_downtown/gutter_downspout_straight_160_02.mdl"
	"solid" "0"
	"disableshadows" "1"
}


; #######  MISCELLANEOUS / MAP SPECIFIC CHANGES  ######
; =====================================================
; ==                   BLANK HEADER                  ==
; ==                Blank description                ==
; =====================================================